totem_ip_if_address Struct Reference

`#include <totemip.h>`

Collaboration diagram for totem_ip_if_address:
[legend]

## Data Fields

struct totem_ip_address | ip_addr
struct totem_ip_address | mask_addr
int | interface_up
int | interface_num
char * | name
struct qb_list_head | list

## Detailed Description

Definition at line 77 of file totemip.h.

## Field Documentation

## interface_num

int totem_ip_if_address::interface_num

Definition at line 82 of file totemip.h.

Referenced by totemip_getifaddrs(), and totemip_iface_check().

## interface_up

int totem_ip_if_address::interface_up

Definition at line 81 of file totemip.h.

Referenced by totemip_getifaddrs(), and totemip_iface_check().

## ip_addr

struct totem_ip_address totem_ip_if_address::ip_addr

Definition at line 2 of file totemip.h.

Referenced by totemip_getifaddrs(), and totemip_iface_check().

## list

struct qb_list_head totem_ip_if_address::list

Definition at line 83 of file totemip.h.

Referenced by totemip_freeifaddrs(), and totemip_getifaddrs().

## mask_addr

struct totem_ip_address totem_ip_if_address::mask_addr

Definition at line 2 of file totemip.h.

Referenced by totemip_getifaddrs(), and totemip_iface_check().

## name

char* totem_ip_if_address::name

Definition at line 83 of file totemip.h.

Referenced by totemip_freeifaddrs(), and totemip_getifaddrs().

The documentation for this struct was generated from the following file:

- totemip.h